From e0bcf22e81c1247a8c6cdccf486c1673ef2aed10 Mon Sep 17 00:00:00 2001 From: Jakub Sperczynski Date: Tue, 25 Aug 2026 18:35:41 +0200 Subject: [PATCH] New release Tue Aug 25 18:35:00 CEST 2026 --- map.json | 2 +- swagger.json | 5889 +++++++++++++++++++----- swagger/auth.swagger.json | 10 +- swagger/billing.swagger.json | 85 +- swagger/dns.swagger.json | 10 +- swagger/domain.swagger.json | 213 +- swagger/easydmarc.swagger.json | 10 +- swagger/email-template.swagger.json | 10 +- swagger/license.swagger.json | 10 +- swagger/mailcow.swagger.json | 3156 +++++++++++++ swagger/reseller-customer.swagger.json | 651 ++- swagger/spam-expert.swagger.json | 10 +- swagger/ssl.swagger.json | 10 +- 13 files changed, 8912 insertions(+), 1154 deletions(-) create mode 100644 swagger/mailcow.swagger.json diff --git a/map.json b/map.json index 7922b6d..2842e0c 100644 --- a/map.json +++ b/map.json @@ -1 +1 @@ -[{"title":"REST API","path":"\/swagger.json","id":"all"},{"title":"- Auth","path":"\/swagger\/auth.swagger.json","id":"auth.swagger"},{"title":"- Billing","path":"\/swagger\/billing.swagger.json","id":"billing.swagger"},{"title":"- DNS","path":"\/swagger\/dns.swagger.json","id":"dns.swagger"},{"title":"- Domain","path":"\/swagger\/domain.swagger.json","id":"domain.swagger"},{"title":"- EasyDmarc","path":"\/swagger\/easydmarc.swagger.json","id":"easydmarc.swagger"},{"title":"- Email template","path":"\/swagger\/email-template.swagger.json","id":"email-template.swagger"},{"title":"- License","path":"\/swagger\/license.swagger.json","id":"license.swagger"},{"title":"- Reseller\/Customer","path":"\/swagger\/reseller-customer.swagger.json","id":"reseller-customer.swagger"},{"title":"- Spam Experts","path":"\/swagger\/spam-expert.swagger.json","id":"spam-expert.swagger"},{"title":"- SSL","path":"\/swagger\/ssl.swagger.json","id":"ssl.swagger"}] \ No newline at end of file +[{"title":"REST API","path":"\/swagger.json","id":"all"},{"title":"- Auth","path":"\/swagger\/auth.swagger.json","id":"auth.swagger"},{"title":"- Billing","path":"\/swagger\/billing.swagger.json","id":"billing.swagger"},{"title":"- DNS","path":"\/swagger\/dns.swagger.json","id":"dns.swagger"},{"title":"- Domain","path":"\/swagger\/domain.swagger.json","id":"domain.swagger"},{"title":"- EasyDmarc","path":"\/swagger\/easydmarc.swagger.json","id":"easydmarc.swagger"},{"title":"- Email template","path":"\/swagger\/email-template.swagger.json","id":"email-template.swagger"},{"title":"- License","path":"\/swagger\/license.swagger.json","id":"license.swagger"},{"title":"- Mailcow","path":"\/swagger\/mailcow.swagger.json","id":"mailcow.swagger"},{"title":"- Reseller\/Customer","path":"\/swagger\/reseller-customer.swagger.json","id":"reseller-customer.swagger"},{"title":"- Spam Experts","path":"\/swagger\/spam-expert.swagger.json","id":"spam-expert.swagger"},{"title":"- SSL","path":"\/swagger\/ssl.swagger.json","id":"ssl.swagger"}] \ No newline at end of file diff --git a/swagger.json b/swagger.json index a710319..6f43b44 100644 --- a/swagger.json +++ b/swagger.json @@ -11,6 +11,10 @@ "swagger": "2.0", "info": { "title": "REST API", + "contact": { + "name": "Auth contracts project", + "url": "https://github.com/openprovider/auth-contracts/issues" + }, "version": "1.0.0-beta" }, "host": "api.openprovider.eu", @@ -48,6 +52,60 @@ } } }, + "/v1beta/contact/notification-setting": { + "get": { + "tags": [ + "ContactService" + ], + "summary": "Get contact notification setting", + "operationId": "GetContactNotificationSetting", + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/contactGetContactNotificationSettingResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + }, + "post": { + "tags": [ + "ContactService" + ], + "summary": "Update contact notification setting", + "operationId": "UpdateContactNotificationSetting", + "parameters": [ + { + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/contactUpdateContactNotificationSettingRequest" + } + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/contactUpdateContactNotificationSettingResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, "/v1beta/contacts": { "get": { "tags": [ @@ -1990,6 +2048,30 @@ "description": "Indicates whether object is deleted.", "name": "is_deleted", "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Returns domain abuse details.", + "name": "with_abuse_details", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Returns only abusive domains.", + "name": "is_abusive", + "in": "query" + }, + { + "type": "array", + "items": { + "type": "string" + }, + "collectionFormat": "multi", + "description": "Array of full domain names. Maximum of 100 names is used per request.", + "name": "domain_names", + "in": "query" } ], "responses": { @@ -4047,70 +4129,36 @@ } } }, - "/v1beta/payments": { + "/v1beta/mailcow/alias": { "get": { "tags": [ - "Payment" + "MailcowAlias" ], - "summary": "List payments", - "operationId": "ListPayments", + "summary": "List alias", + "operationId": "ListAlias", "parameters": [ { "type": "integer", "format": "int32", - "description": "The limit.", + "default": 100, + "description": "Search query limit.", "name": "limit", "in": "query" }, { "type": "integer", "format": "int32", - "description": "The offset.", + "default": 0, + "description": "Search query offset.", "name": "offset", "in": "query" - }, - { - "type": "string", - "description": "The order.", - "name": "order", - "in": "query" - }, - { - "type": "string", - "description": "The order by.", - "name": "order_by", - "in": "query" - }, - { - "type": "string", - "description": "The type.", - "name": "type", - "in": "query" - }, - { - "type": "string", - "description": "The status.", - "name": "status", - "in": "query" - }, - { - "type": "string", - "description": "The start creation date.", - "name": "start_creation_date", - "in": "query" - }, - { - "type": "string", - "description": "The end creation date.", - "name": "end_creation_date", - "in": "query" } ], "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/paymentListPaymentsResponse" + "$ref": "#/definitions/aliasListAliasResponse" } }, "default": { @@ -4120,54 +4168,28 @@ } } } - } - }, - "/v1beta/resellers": { - "get": { + }, + "post": { "tags": [ - "ResellerService" + "MailcowAlias" ], - "summary": "Get reseller", - "externalDocs": { - "description": "For more detailed information on this method check our guide", - "url": "https://doc.openprovider.eu/API_Module_Reseller_retrieveResellerRequest" - }, - "operationId": "GetReseller", + "summary": "Add alias", + "operationId": "AddAlias", "parameters": [ { - "type": "boolean", - "format": "boolean", - "description": "Retrieves objects with (1) or without (0) additional data.", - "name": "with_additional_data", - "in": "query" - }, - { - "type": "boolean", - "format": "boolean", - "description": "Indicates if reseller statistics should be retrieved.", - "name": "with_statistics", - "in": "query" - }, - { - "type": "boolean", - "format": "boolean", - "description": "Indicates if reseller settings should be retrieved.", - "name": "with_settings", - "in": "query" - }, - { - "type": "boolean", - "format": "boolean", - "description": "Indicates if reseller contacts should be retrieved.", - "name": "with_contacts", - "in": "query" + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/aliasAddAliasRequest" + } } ], "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/resellerGetResellerResponse" + "$ref": "#/definitions/aliasAddAliasResponse" } }, "default": { @@ -4179,41 +4201,36 @@ } } }, - "/v1beta/resellers/settings": { - "get": { + "/v1beta/mailcow/alias/edit/{id}": { + "post": { "tags": [ - "Settings" + "MailcowAlias" ], - "summary": "Get settings", - "operationId": "GetSettings", - "responses": { - "200": { - "description": "A successful response.", - "schema": { - "$ref": "#/definitions/settingsGetSettingsResponse" - } + "summary": "Edit alias", + "operationId": "EditAlias", + "parameters": [ + { + "type": "integer", + "format": "int32", + "description": "MailCow alias id", + "name": "id", + "in": "path", + "required": true }, - "default": { - "description": "(empty)", + { + "name": "body", + "in": "body", + "required": true, "schema": { - "$ref": "#/definitions/errorError" + "$ref": "#/definitions/aliasEditAliasRequest" } } - } - } - }, - "/v1beta/resellers/statistics": { - "get": { - "tags": [ - "Statistics" ], - "summary": "Get statistics", - "operationId": "GetStatistics", "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/statisticsGetStatisticsResponse" + "$ref": "#/definitions/aliasEditAliasResponse" } }, "default": { @@ -4225,36 +4242,28 @@ } } }, - "/v1beta/resellers/{id}": { - "put": { + "/v1beta/mailcow/alias/{id}": { + "get": { "tags": [ - "ResellerService" + "MailcowAlias" ], - "summary": "Update reseller", - "operationId": "UpdateReseller", + "summary": "Get alias", + "operationId": "GetAlias", "parameters": [ { "type": "integer", "format": "int32", - "description": "Object ID", + "description": "MailCow lias id", "name": "id", "in": "path", "required": true - }, - { - "name": "body", - "in": "body", - "required": true, - "schema": { - "$ref": "#/definitions/resellerUpdateResellerRequest" - } } ], "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/resellerUpdateResellerResponse" + "$ref": "#/definitions/aliasGetAliasResponse" } }, "default": { @@ -4264,30 +4273,28 @@ } } } - } - }, - "/v1beta/spam-expert/domains": { - "post": { + }, + "delete": { "tags": [ - "SEDomain" + "MailcowAlias" ], - "summary": "Create domain", - "operationId": "CreateDomainMixin8", + "summary": "Delete alias", + "operationId": "DeleteAlias", "parameters": [ { - "name": "body", - "in": "body", - "required": true, - "schema": { - "$ref": "#/definitions/se_domainCreateDomainRequest" - } + "type": "integer", + "format": "int32", + "description": "MailCow lias id", + "name": "id", + "in": "path", + "required": true } ], "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/responseBoolResponse" + "$ref": "#/definitions/aliasDeleteAliasResponse" } }, "default": { @@ -4299,34 +4306,24 @@ } } }, - "/v1beta/spam-expert/domains/{domain_name}": { + "/v1beta/mailcow/dkim": { "get": { "tags": [ - "SEDomain" + "MailcowDkim" ], - "summary": "Get domain", - "operationId": "GetDomainMixin8", + "summary": "Get Dkim records for the domain.", + "operationId": "GetMailCowDkim", "parameters": [ { "type": "string", - "description": "Domain full name", - "name": "domain_name", - "in": "path", - "required": true - }, - { - "type": "boolean", - "format": "boolean", - "default": false, - "description": "Indicates, whether records should be displayed in output.", - "name": "with_records", + "description": "Domain name without extension.", + "name": "domain.name", "in": "query" }, { - "type": "boolean", - "format": "boolean", - "description": "Indicates if old subscriptions backward compatibility is used.", - "name": "bundle", + "type": "string", + "description": "Domain extension.", + "name": "domain.extension", "in": "query" } ], @@ -4334,7 +4331,7 @@ "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/se_domainGetDomainResponse" + "$ref": "#/definitions/dkimGetMailCowDkimResponse" } }, "default": { @@ -4345,26 +4342,19 @@ } } }, - "put": { + "post": { "tags": [ - "SEDomain" + "MailcowDkim" ], - "summary": "Update domain", - "operationId": "UpdateDomainMixin8", + "summary": "Get Dkim records for the domain.", + "operationId": "CreateMailCowDkim", "parameters": [ - { - "type": "string", - "description": "Domain full name", - "name": "domain_name", - "in": "path", - "required": true - }, { "name": "body", "in": "body", "required": true, "schema": { - "$ref": "#/definitions/se_domainUpdateDomainRequest" + "$ref": "#/definitions/dkimCreateMailCowDkimRequest" } } ], @@ -4372,7 +4362,7 @@ "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/responseBoolResponse" + "$ref": "#/definitions/dkimCreateMailCowDkimResponse" } }, "default": { @@ -4385,23 +4375,21 @@ }, "delete": { "tags": [ - "SEDomain" + "MailcowDkim" ], - "summary": "Delete domain", - "operationId": "DeleteDomainMixin8", + "summary": "Delete Dkim records for a domain.", + "operationId": "DeleteMailCowDkim", "parameters": [ { "type": "string", - "description": "Domain full name", - "name": "domain_name", - "in": "path", - "required": true + "description": "Domain name without extension.", + "name": "domain.name", + "in": "query" }, { - "type": "boolean", - "format": "boolean", - "description": "Indicates if old subscriptions backward compatibility is used.", - "name": "bundle", + "type": "string", + "description": "Domain extension.", + "name": "domain.extension", "in": "query" } ], @@ -4409,7 +4397,7 @@ "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/responseBoolResponse" + "$ref": "#/definitions/dkimDeleteMailCowDkimResponse" } }, "default": { @@ -4421,20 +4409,20 @@ } } }, - "/v1beta/spam-expert/generate-login-url": { + "/v1beta/mailcow/domains": { "post": { "tags": [ - "SpamExpert" + "MailcowDomain" ], - "summary": "Generate login url", - "operationId": "GenerateLoginURL", + "summary": "Add domain", + "operationId": "AddDomain", "parameters": [ { "name": "body", "in": "body", "required": true, "schema": { - "$ref": "#/definitions/spam_expertGenerateLoginURLRequest" + "$ref": "#/definitions/domainAddDomainRequest" } } ], @@ -4442,7 +4430,42 @@ "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/spam_expertGenerateLoginURLResponse" + "$ref": "#/definitions/domainAddDomainResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + }, + "delete": { + "tags": [ + "MailcowDomain" + ], + "summary": "Delete domain", + "operationId": "DeleteDomainMixin7", + "parameters": [ + { + "type": "string", + "description": "Domain name without extension.", + "name": "domain.name", + "in": "query" + }, + { + "type": "string", + "description": "Domain extension.", + "name": "domain.extension", + "in": "query" + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/domainDeleteDomainResponse" } }, "default": { @@ -4454,25 +4477,28 @@ } } }, - "/v1beta/ssl/approver-emails": { + "/v1beta/mailcow/domains/list": { "get": { "tags": [ - "ApproverEmail" + "MailcowDomain" ], - "summary": "List approver emails", - "operationId": "ListApproverEmails", + "summary": "List domain", + "operationId": "ListDomain", "parameters": [ { "type": "integer", "format": "int32", - "description": "ID of product order will be created for.", - "name": "product_id", + "default": 100, + "description": "Search query limit.", + "name": "limit", "in": "query" }, { - "type": "string", - "description": "Domain name.", - "name": "domain", + "type": "integer", + "format": "int32", + "default": 0, + "description": "Search query offset.", + "name": "offset", "in": "query" } ], @@ -4480,7 +4506,7 @@ "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/approveremailListApproverEmailsResponse" + "$ref": "#/definitions/domainListDomainResponse" } }, "default": { @@ -4492,24 +4518,20 @@ } } }, - "/v1beta/ssl/csr": { + "/v1beta/mailcow/mailbox/edit": { "post": { "tags": [ - "Csr" + "MailcowMailbox" ], - "summary": "Create csr", - "externalDocs": { - "description": "For more detailed information on this method check our guide", - "url": "https://support.openprovider.eu/hc/en-us/articles/360024155173" - }, - "operationId": "CreateCsr", + "summary": "Edit mailbox", + "operationId": "EditMailbox", "parameters": [ { "name": "body", "in": "body", "required": true, "schema": { - "$ref": "#/definitions/csrCreateCsrRequest" + "$ref": "#/definitions/mailboxEditMailboxRequest" } } ], @@ -4517,7 +4539,7 @@ "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/csrCreateCsrResponse" + "$ref": "#/definitions/mailboxEditMailboxResponse" } }, "default": { @@ -4529,24 +4551,20 @@ } } }, - "/v1beta/ssl/csr/decode": { + "/v1beta/mailcow/mailbox/name/modify": { "post": { "tags": [ - "Csr" + "MailcowMailbox" ], - "summary": "Decode csr", - "externalDocs": { - "description": "For more detailed information on this method check our guide", - "url": "https://support.openprovider.eu/hc/en-us/articles/360024176673" - }, - "operationId": "DecodeCsr", + "summary": "Modify mailbox name", + "operationId": "ModifyMailboxName", "parameters": [ { "name": "body", "in": "body", "required": true, "schema": { - "$ref": "#/definitions/csrDecodeCsrRequest" + "$ref": "#/definitions/mailboxModifyMailboxNameRequest" } } ], @@ -4554,7 +4572,7 @@ "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/csrDecodeCsrResponse" + "$ref": "#/definitions/mailboxModifyMailboxNameResponse" } }, "default": { @@ -4566,17 +4584,46 @@ } } }, - "/v1beta/ssl/orders": { + "/v1beta/mailcow/mailbox/quota/increase": { + "post": { + "tags": [ + "MailcowMailbox" + ], + "summary": "Increase mailbox quota", + "operationId": "IncreaseMailboxQuota", + "parameters": [ + { + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/mailboxIncreaseMailboxQuotaRequest" + } + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/mailboxIncreaseMailboxQuotaResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/mailcow/orders": { "get": { "tags": [ - "Order" + "MailcowOrder" ], - "summary": "List orders", - "externalDocs": { - "description": "For more detailed information on this method check our guide", - "url": "https://support.openprovider.eu/hc/en-us/articles/360024399333" - }, - "operationId": "ListOrders", + "summary": "List order", + "operationId": "ListOrder", "parameters": [ { "type": "integer", @@ -4589,6 +4636,7 @@ { "type": "integer", "format": "int32", + "default": 0, "description": "Search query offset.", "name": "offset", "in": "query" @@ -4596,44 +4644,53 @@ { "type": "string", "description": "desc/asc.", - "name": "order_by.common_name", + "name": "order_by.id", "in": "query" }, { "type": "string", - "default": "desc", "description": "desc/asc.", - "name": "order_by.order_date", + "name": "order_by.created_at", "in": "query" }, { "type": "string", "description": "desc/asc.", - "name": "order_by.active_date", + "name": "order_by.expired_at", "in": "query" }, { "type": "string", "description": "desc/asc.", - "name": "order_by.expiration_date", + "name": "order_by.mailbox_status", + "in": "query" + }, + { + "type": "array", + "items": { + "type": "string" + }, + "collectionFormat": "multi", + "description": "Array of order statuses.", + "name": "status", "in": "query" }, { "type": "string", - "description": "desc/asc.", - "name": "order_by.status", + "description": "Domain name without extension.", + "name": "domain.name", "in": "query" }, { "type": "string", - "description": "desc/asc.", - "name": "order_by.product_name", + "description": "Domain extension.", + "name": "domain.extension", "in": "query" }, { "type": "string", - "description": "Certificate common name pattern. Wildcard (*) can be used.", - "name": "common_name_pattern", + "description": "Name mailbox.", + "name": "mailbox", "in": "query" }, { @@ -4642,21 +4699,8 @@ "type": "string" }, "collectionFormat": "multi", - "description": "Array of order statuses.", - "name": "status", - "in": "query" - }, - { - "type": "string", - "description": "Contact handle.", - "name": "contact_handle", - "in": "query" - }, - { - "type": "boolean", - "format": "boolean", - "description": "Indicates, whether to return only certificates that are expiring within 30 days.", - "name": "show_expiring", + "description": "Array of mailbox status in the MailCow.", + "name": "mailbox_status", "in": "query" } ], @@ -4664,7 +4708,7 @@ "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/orderListOrdersResponse" + "$ref": "#/definitions/orderListOrderResponse" } }, "default": { @@ -4677,13 +4721,9 @@ }, "post": { "tags": [ - "Order" + "MailcowOrder" ], "summary": "Create order", - "externalDocs": { - "description": "For more detailed information on this method check our guide", - "url": "https://support.openprovider.eu/hc/en-us/articles/360024389393" - }, "operationId": "CreateOrder", "parameters": [ { @@ -4711,32 +4751,28 @@ } } }, - "/v1beta/ssl/orders/{id}": { - "get": { + "/v1beta/mailcow/orders/assign": { + "post": { "tags": [ - "Order" + "MailcowOrder" ], - "summary": "Get order", - "externalDocs": { - "description": "For more detailed information on this method check our guide", - "url": "https://support.openprovider.eu/hc/en-us/articles/360024389393" - }, - "operationId": "GetOrder", + "summary": "Assign mailbox", + "operationId": "AssignMailbox", "parameters": [ { - "type": "integer", - "format": "int32", - "description": "Object id", - "name": "id", - "in": "path", - "required": true + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/orderAssignMailboxRequest" + } } ], "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/orderGetOrderResponse" + "$ref": "#/definitions/orderAssignMailboxResponse" } }, "default": { @@ -4746,32 +4782,22 @@ } } } - }, - "put": { + } + }, + "/v1beta/mailcow/orders/retain": { + "post": { "tags": [ - "Order" + "MailcowOrder" ], - "summary": "Update order", - "externalDocs": { - "description": "For more detailed information on this method check our guide", - "url": "https://support.openprovider.eu/hc/en-us/articles/360024299194" - }, - "operationId": "UpdateOrder", + "summary": "Retain mailbox", + "operationId": "RetainMailbox", "parameters": [ - { - "type": "integer", - "format": "int32", - "description": "Object id", - "name": "id", - "in": "path", - "required": true - }, { "name": "body", "in": "body", "required": true, "schema": { - "$ref": "#/definitions/orderUpdateOrderRequest" + "$ref": "#/definitions/orderRetainMailboxRequest" } } ], @@ -4779,7 +4805,7 @@ "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/orderUpdateOrderResponse" + "$ref": "#/definitions/orderRetainMailboxResponse" } }, "default": { @@ -4791,36 +4817,28 @@ } } }, - "/v1beta/ssl/orders/{id}/approver-email": { - "put": { + "/v1beta/mailcow/orders/{id}": { + "get": { "tags": [ - "OrderApproverEmail" + "MailcowOrder" ], - "summary": "Update approver email address", - "operationId": "UpdateApproverEmailAddress", + "summary": "Get order", + "operationId": "GetOrder", "parameters": [ { "type": "integer", "format": "int32", - "description": "Object id", + "description": "MailCow order id", "name": "id", "in": "path", "required": true - }, - { - "name": "body", - "in": "body", - "required": true, - "schema": { - "$ref": "#/definitions/approveremailUpdateApproverEmailAddressRequest" - } } ], "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/approveremailUpdateApproverEmailAddressResponse" + "$ref": "#/definitions/orderGetOrderResponse" } }, "default": { @@ -4830,38 +4848,28 @@ } } } - } - }, - "/v1beta/ssl/orders/{id}/approver-email/resend": { - "post": { + }, + "delete": { "tags": [ - "OrderApproverEmail" + "MailcowOrder" ], - "summary": "Resend approver email", - "operationId": "ResendApproverEmail", + "summary": "Delete order", + "operationId": "DeleteOrder", "parameters": [ { "type": "integer", "format": "int32", - "description": "Object id", + "description": "MailCow order id", "name": "id", "in": "path", "required": true - }, - { - "name": "body", - "in": "body", - "required": true, - "schema": { - "$ref": "#/definitions/approveremailResendApproverEmailRequest" - } } ], "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/approveremailResendApproverEmailResponse" + "$ref": "#/definitions/orderDeleteOrderResponse" } }, "default": { @@ -4873,40 +4881,28 @@ } } }, - "/v1beta/ssl/orders/{id}/cancel": { - "post": { + "/v1beta/mailcow/orders/{id}/password": { + "get": { "tags": [ - "Order" + "MailcowOrder" ], - "summary": "Cancel order", - "externalDocs": { - "description": "For more detailed information on this method check our guide", - "url": "https://support.openprovider.eu/hc/en-us/articles/360024469053" - }, - "operationId": "CancelOrder", + "summary": "Get mailbox password", + "operationId": "GetMailboxPassword", "parameters": [ { "type": "integer", "format": "int32", - "description": "Object id", + "description": "MailCow order id", "name": "id", "in": "path", "required": true - }, - { - "name": "body", - "in": "body", - "required": true, - "schema": { - "$ref": "#/definitions/orderCancelOrderRequest" - } } ], "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/orderCancelOrderResponse" + "$ref": "#/definitions/orderGetMailboxPasswordResponse" } }, "default": { @@ -4918,36 +4914,18 @@ } } }, - "/v1beta/ssl/orders/{id}/otp-tokens": { - "post": { + "/v1beta/mailcow/statistics": { + "get": { "tags": [ - "OtpToken" - ], - "summary": "Create otp token", - "operationId": "CreateOtpToken", - "parameters": [ - { - "type": "integer", - "format": "int32", - "description": "Object id", - "name": "id", - "in": "path", - "required": true - }, - { - "name": "body", - "in": "body", - "required": true, - "schema": { - "$ref": "#/definitions/otptokenCreateOtpTokenRequest" - } - } + "MailcowOrder" ], + "summary": "Get mailcow statistics", + "operationId": "GetMailcowStatistics", "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/otptokenCreateOtpTokenResponse" + "$ref": "#/definitions/orderGetMailcowStatisticsResponse" } }, "default": { @@ -4959,40 +4937,38 @@ } } }, - "/v1beta/ssl/orders/{id}/reissue": { - "post": { + "/v1beta/mailcow/time-limited/alias": { + "get": { "tags": [ - "Order" + "MailcowAlias" ], - "summary": "Reissue order", - "externalDocs": { - "description": "For more detailed information on this method check our guide", - "url": "https://support.openprovider.eu/hc/en-us/articles/360024304394" - }, - "operationId": "ReissueOrder", + "summary": "Get time limited alias", + "operationId": "GetTimeLimitedAlias", "parameters": [ { - "type": "integer", - "format": "int32", - "description": "Object id", - "name": "id", - "in": "path", - "required": true + "type": "string", + "description": "Domain name without extension.", + "name": "domain.name", + "in": "query" }, { - "name": "body", - "in": "body", - "required": true, - "schema": { - "$ref": "#/definitions/orderReissueOrderRequest" - } + "type": "string", + "description": "Domain extension.", + "name": "domain.extension", + "in": "query" + }, + { + "type": "string", + "description": "Name of the mailbox.", + "name": "mailbox", + "in": "query" } ], "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/orderReissueOrderResponse" + "$ref": "#/definitions/aliasGetTimeLimitedAliasResponse" } }, "default": { @@ -5004,32 +4980,20 @@ } } }, - "/v1beta/ssl/orders/{id}/renew": { + "/v1beta/mailcow/time-limted/alias": { "post": { "tags": [ - "Order" + "MailcowAlias" ], - "summary": "Renew order", - "externalDocs": { - "description": "For more detailed information on this method check our guide", - "url": "https://support.openprovider.eu/hc/en-us/articles/360024468093" - }, - "operationId": "RenewOrder", + "summary": "Add time limited alias", + "operationId": "AddTimeLimitedAlias", "parameters": [ - { - "type": "integer", - "format": "int32", - "description": "Object id", - "name": "id", - "in": "path", - "required": true - }, { "name": "body", "in": "body", "required": true, "schema": { - "$ref": "#/definitions/orderRenewOrderRequest" + "$ref": "#/definitions/aliasAddTimeLimitedAliasRequest" } } ], @@ -5037,7 +5001,7 @@ "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/orderRenewOrderResponse" + "$ref": "#/definitions/aliasAddTimeLimitedAliasResponse" } }, "default": { @@ -5049,84 +5013,62 @@ } } }, - "/v1beta/ssl/products": { + "/v1beta/payments": { "get": { "tags": [ - "Product" + "Payment" ], - "summary": "List products", - "operationId": "ListProducts", + "summary": "List payments", + "operationId": "ListPayments", "parameters": [ { "type": "integer", "format": "int32", - "description": "Search query limit.", + "description": "The limit.", "name": "limit", "in": "query" }, { "type": "integer", "format": "int32", - "description": "Search query offset.", + "description": "The offset.", "name": "offset", "in": "query" }, - { - "type": "boolean", - "format": "boolean", - "description": "Returns product price in the response.", - "name": "with_price", - "in": "query" - }, - { - "type": "boolean", - "format": "boolean", - "default": false, - "description": "Returns a list of supported software patforms.", - "name": "with_supported_software", - "in": "query" - }, - { - "type": "boolean", - "format": "boolean", - "description": "Returns a description for each product, if exists.", - "name": "with_description", - "in": "query" - }, { "type": "string", - "description": "Sorting type (asc/desc).", - "name": "order_by.name", + "description": "The order.", + "name": "order", "in": "query" }, { "type": "string", - "description": "Sorting type (asc/desc).", - "name": "order_by.brand_name", + "description": "The order by.", + "name": "order_by", "in": "query" }, { "type": "string", - "description": "Sorting type (asc/desc).", - "name": "order_by.category", + "description": "The type.", + "name": "type", "in": "query" }, { "type": "string", - "description": "Sorting type (asc/desc).", - "name": "order_by.sub_category", + "description": "The status.", + "name": "status", "in": "query" }, { "type": "string", - "description": "Sorting type (asc/desc).", - "name": "order_by.brand_seqno", + "description": "The start creation date.", + "name": "start_creation_date", "in": "query" }, { "type": "string", - "description": "Sorting type (asc/desc).", - "name": "order_by.product_seqno", + "description": "The end creation date.", + "name": "end_creation_date", "in": "query" } ], @@ -5134,7 +5076,7 @@ "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/productListProductsResponse" + "$ref": "#/definitions/paymentListPaymentsResponse" } }, "default": { @@ -5146,28 +5088,18 @@ } } }, - "/v1beta/ssl/products/{id}": { + "/v1beta/payments/suggested-top-up-amount": { "get": { "tags": [ - "Product" - ], - "summary": "Get product", - "operationId": "GetProduct", - "parameters": [ - { - "type": "integer", - "format": "int32", - "description": "Object id", - "name": "id", - "in": "path", - "required": true - } + "Payment" ], + "summary": "Get suggested top up amount", + "operationId": "GetSuggestedTopUpAmount", "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/productGetProductResponse" + "$ref": "#/definitions/paymentGetSuggestedTopUpAmountResponse" } }, "default": { @@ -5179,24 +5111,44 @@ } } }, - "/v1beta/tags": { + "/v1beta/resellers": { "get": { "tags": [ - "TagService" + "ResellerService" ], - "summary": "List tags", - "operationId": "ListTags", + "summary": "Get reseller", + "externalDocs": { + "description": "For more detailed information on this method check our guide", + "url": "https://doc.openprovider.eu/API_Module_Reseller_retrieveResellerRequest" + }, + "operationId": "GetReseller", "parameters": [ { - "type": "string", - "description": "The key of the tag. Allowed values: 'customer'.", - "name": "key", + "type": "boolean", + "format": "boolean", + "description": "Retrieves objects with (1) or without (0) additional data.", + "name": "with_additional_data", "in": "query" }, { - "type": "string", - "description": "The value of the tag. I.e.: VIP customer.", - "name": "value", + "type": "boolean", + "format": "boolean", + "description": "Indicates if reseller statistics should be retrieved.", + "name": "with_statistics", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Indicates if reseller settings should be retrieved.", + "name": "with_settings", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Indicates if reseller contacts should be retrieved.", + "name": "with_contacts", "in": "query" } ], @@ -5204,7 +5156,7 @@ "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/tagListTagsResponse" + "$ref": "#/definitions/resellerGetResellerResponse" } }, "default": { @@ -5214,28 +5166,20 @@ } } } - }, - "post": { + } + }, + "/v1beta/resellers/settings": { + "get": { "tags": [ - "TagService" - ], - "summary": "Create tag", - "operationId": "CreateTag", - "parameters": [ - { - "name": "body", - "in": "body", - "required": true, - "schema": { - "$ref": "#/definitions/helperstagTag" - } - } + "Settings" ], + "summary": "Get settings", + "operationId": "GetSettings", "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/tagCreateTagResponse" + "$ref": "#/definitions/settingsGetSettingsResponse" } }, "default": { @@ -5245,32 +5189,20 @@ } } } - }, - "delete": { + } + }, + "/v1beta/resellers/statistics": { + "get": { "tags": [ - "TagService" - ], - "summary": "Delete tag", - "operationId": "DeleteTag", - "parameters": [ - { - "type": "string", - "description": "The key of the tag. Allowed values: 'customer'.", - "name": "key", - "in": "query" - }, - { - "type": "string", - "description": "The value of the tag. I.e.: VIP customer.", - "name": "value", - "in": "query" - } + "Statistics" ], + "summary": "Get statistics", + "operationId": "GetStatistics", "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/tagDeleteTagResponse" + "$ref": "#/definitions/statisticsGetStatisticsResponse" } }, "default": { @@ -5282,140 +5214,154 @@ } } }, - "/v1beta/tlds": { - "get": { + "/v1beta/resellers/{id}": { + "put": { "tags": [ - "TldService" + "ResellerService" ], - "summary": "List tlds", - "operationId": "ListTlds", + "summary": "Update reseller", + "operationId": "UpdateReseller", "parameters": [ { "type": "integer", "format": "int32", - "description": "Search query limit.", - "name": "limit", - "in": "query" - }, - { - "type": "integer", - "format": "int32", - "description": "Search query offset.", - "name": "offset", - "in": "query" - }, - { - "type": "string", - "description": "Sorts output ASC or DESC.", - "name": "order", - "in": "query" + "description": "Object ID", + "name": "id", + "in": "path", + "required": true }, { - "type": "string", - "description": "Sorts output by a field.", - "name": "order_by", - "in": "query" + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/resellerUpdateResellerRequest" + } + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/resellerUpdateResellerResponse" + } }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/spam-expert/domains": { + "post": { + "tags": [ + "SEDomain" + ], + "summary": "Create domain", + "operationId": "CreateDomainMixin9", + "parameters": [ { - "type": "array", - "items": { - "type": "string" - }, - "collectionFormat": "multi", - "description": "Array of extensions.", - "name": "extensions", - "in": "query" + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/se_domainCreateDomainRequest" + } + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/responseBoolResponse" + } }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/spam-expert/domains/{domain_name}": { + "get": { + "tags": [ + "SEDomain" + ], + "summary": "Get domain", + "operationId": "GetDomainMixin9", + "parameters": [ { "type": "string", - "description": "Extension name pattern. Wildcard (*) can be used.", - "name": "name_pattern", - "in": "query" - }, - { - "type": "boolean", - "format": "boolean", - "description": "Returns only extension names in the output.", - "name": "only_names", - "in": "query" - }, - { - "type": "boolean", - "format": "boolean", - "description": "Returns additional extension description.", - "name": "with_description", - "in": "query" - }, - { - "type": "boolean", - "format": "boolean", - "description": "Returns list of extension restrictions.", - "name": "with_restrictions", - "in": "query" - }, - { - "type": "boolean", - "format": "boolean", - "description": "Returns number of domains using specified extension in this account.", - "name": "with_usage_count", - "in": "query" - }, - { - "type": "array", - "items": { - "type": "string" - }, - "collectionFormat": "multi", - "description": "Array of extension application modes.", - "name": "with_application_mode", - "in": "query" - }, - { - "type": "boolean", - "format": "boolean", - "description": "Returns extension prices.", - "name": "with_price", - "in": "query" - }, - { - "type": "boolean", - "format": "boolean", - "description": "Returns extension prices for each Openprovider discount tier.", - "name": "with_level_prices", - "in": "query" + "description": "Domain full name", + "name": "domain_name", + "in": "path", + "required": true }, { "type": "boolean", "format": "boolean", - "description": "Indicates, if extension is active.", - "name": "is_active", + "default": false, + "description": "Indicates, whether records should be displayed in output.", + "name": "with_records", "in": "query" }, { "type": "boolean", "format": "boolean", - "description": "Indicates, if extension is a newGTLD.", - "name": "is_new_gtld", + "description": "Indicates if old subscriptions backward compatibility is used.", + "name": "bundle", "in": "query" + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/se_domainGetDomainResponse" + } }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + }, + "put": { + "tags": [ + "SEDomain" + ], + "summary": "Update domain", + "operationId": "UpdateDomainMixin9", + "parameters": [ { "type": "string", - "description": "Extension status.", - "name": "status", - "in": "query" + "description": "Domain full name", + "name": "domain_name", + "in": "path", + "required": true }, { - "type": "string", - "description": "Pre-registration mode.", - "name": "application_mode", - "in": "query" + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/se_domainUpdateDomainRequest" + } } ], "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/tldListTldsResponse" + "$ref": "#/definitions/responseBoolResponse" } }, "default": { @@ -5425,88 +5371,179 @@ } } } - } - }, - "/v1beta/tlds/{name}": { - "get": { + }, + "delete": { "tags": [ - "TldService" + "SEDomain" ], - "summary": "Get tld", - "operationId": "GetTld", + "summary": "Delete domain", + "operationId": "DeleteDomainMixin9", "parameters": [ { "type": "string", - "description": "Extension name", - "name": "name", + "description": "Domain full name", + "name": "domain_name", "in": "path", "required": true }, - { - "type": "integer", - "format": "int32", - "description": "Search query limit.", - "name": "limit", - "in": "query" - }, - { - "type": "integer", - "format": "int32", - "description": "Search query offset.", - "name": "offset", - "in": "query" - }, { "type": "boolean", "format": "boolean", - "description": "Returns additional extension description.", - "name": "with_description", + "description": "Indicates if old subscriptions backward compatibility is used.", + "name": "bundle", "in": "query" + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/responseBoolResponse" + } }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/spam-expert/generate-login-url": { + "post": { + "tags": [ + "SpamExpert" + ], + "summary": "Generate login url", + "operationId": "GenerateLoginURL", + "parameters": [ { - "type": "boolean", - "format": "boolean", - "description": "Returns list of extension restrictions.", - "name": "with_restrictions", - "in": "query" + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/spam_expertGenerateLoginURLRequest" + } + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/spam_expertGenerateLoginURLResponse" + } }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/ssl/approver-emails": { + "get": { + "tags": [ + "ApproverEmail" + ], + "summary": "List approver emails", + "operationId": "ListApproverEmails", + "parameters": [ { - "type": "boolean", - "format": "boolean", - "description": "Returns extension prices.", - "name": "with_price", + "type": "integer", + "format": "int32", + "description": "ID of product order will be created for.", + "name": "product_id", "in": "query" }, { - "type": "boolean", - "format": "boolean", - "description": "Returns extension prices for each Openprovider discount tier.", - "name": "with_level_prices", + "type": "string", + "description": "Domain name.", + "name": "domain", "in": "query" + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/approveremailListApproverEmailsResponse" + } }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/ssl/csr": { + "post": { + "tags": [ + "Csr" + ], + "summary": "Create csr", + "externalDocs": { + "description": "For more detailed information on this method check our guide", + "url": "https://support.openprovider.eu/hc/en-us/articles/360024155173" + }, + "operationId": "CreateCsr", + "parameters": [ { - "type": "boolean", - "format": "boolean", - "description": "Returns number of domains using specified extension in this account.", - "name": "with_usage_count", - "in": "query" + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/csrCreateCsrRequest" + } + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/csrCreateCsrResponse" + } }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/ssl/csr/decode": { + "post": { + "tags": [ + "Csr" + ], + "summary": "Decode csr", + "externalDocs": { + "description": "For more detailed information on this method check our guide", + "url": "https://support.openprovider.eu/hc/en-us/articles/360024176673" + }, + "operationId": "DecodeCsr", + "parameters": [ { - "type": "array", - "items": { - "type": "string" - }, - "collectionFormat": "multi", - "description": "Extension status.", - "name": "status", - "in": "query" + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/csrDecodeCsrRequest" + } } ], "responses": { "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/tldGetTldResponse" + "$ref": "#/definitions/csrDecodeCsrResponse" } }, "default": { @@ -5518,56 +5555,97 @@ } } }, - "/v1beta/transactions": { + "/v1beta/ssl/orders": { "get": { "tags": [ - "Transaction" + "Order" ], - "summary": "List transactions", - "operationId": "ListTransactions", + "summary": "List orders", + "externalDocs": { + "description": "For more detailed information on this method check our guide", + "url": "https://support.openprovider.eu/hc/en-us/articles/360024399333" + }, + "operationId": "ListOrders", "parameters": [ { "type": "integer", "format": "int32", - "description": "The limit.", + "default": 100, + "description": "Search query limit.", "name": "limit", "in": "query" }, { "type": "integer", "format": "int32", - "description": "The offset.", + "description": "Search query offset.", "name": "offset", "in": "query" }, { "type": "string", - "description": "The order.", - "name": "order", + "description": "desc/asc.", + "name": "order_by.common_name", "in": "query" }, { "type": "string", - "description": "The order by.", - "name": "order_by", + "default": "desc", + "description": "desc/asc.", + "name": "order_by.order_date", "in": "query" }, { "type": "string", - "description": "The start creation date.", - "name": "start_creation_date", + "description": "desc/asc.", + "name": "order_by.active_date", "in": "query" }, { "type": "string", - "description": "The end creation date.", - "name": "end_creation_date", + "description": "desc/asc.", + "name": "order_by.expiration_date", "in": "query" }, { "type": "string", - "description": "The filter for subject.", - "name": "filter_for_subject", + "description": "desc/asc.", + "name": "order_by.status", + "in": "query" + }, + { + "type": "string", + "description": "desc/asc.", + "name": "order_by.product_name", + "in": "query" + }, + { + "type": "string", + "description": "Certificate common name pattern. Wildcard (*) can be used.", + "name": "common_name_pattern", + "in": "query" + }, + { + "type": "array", + "items": { + "type": "string" + }, + "collectionFormat": "multi", + "description": "Array of order statuses.", + "name": "status", + "in": "query" + }, + { + "type": "string", + "description": "Contact handle.", + "name": "contact_handle", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Indicates, whether to return only certificates that are expiring within 30 days.", + "name": "show_expiring", "in": "query" } ], @@ -5575,7 +5653,7 @@ "200": { "description": "A successful response.", "schema": { - "$ref": "#/definitions/transactionListTransactionsResponse" + "$ref": "#/definitions/orderListOrdersResponse" } }, "default": { @@ -5585,13 +5663,1500 @@ } } } + }, + "post": { + "tags": [ + "Order" + ], + "summary": "Create order", + "externalDocs": { + "description": "For more detailed information on this method check our guide", + "url": "https://support.openprovider.eu/hc/en-us/articles/360024389393" + }, + "operationId": "CreateOrderMixin10", + "parameters": [ + { + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/orderCreateOrderRequest" + } + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/orderCreateOrderResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/ssl/orders/{id}": { + "get": { + "tags": [ + "Order" + ], + "summary": "Get order", + "externalDocs": { + "description": "For more detailed information on this method check our guide", + "url": "https://support.openprovider.eu/hc/en-us/articles/360024389393" + }, + "operationId": "GetOrderMixin10", + "parameters": [ + { + "type": "integer", + "format": "int32", + "description": "Object id", + "name": "id", + "in": "path", + "required": true + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/orderGetOrderResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + }, + "put": { + "tags": [ + "Order" + ], + "summary": "Update order", + "externalDocs": { + "description": "For more detailed information on this method check our guide", + "url": "https://support.openprovider.eu/hc/en-us/articles/360024299194" + }, + "operationId": "UpdateOrder", + "parameters": [ + { + "type": "integer", + "format": "int32", + "description": "Object id", + "name": "id", + "in": "path", + "required": true + }, + { + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/orderUpdateOrderRequest" + } + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/orderUpdateOrderResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/ssl/orders/{id}/approver-email": { + "put": { + "tags": [ + "OrderApproverEmail" + ], + "summary": "Update approver email address", + "operationId": "UpdateApproverEmailAddress", + "parameters": [ + { + "type": "integer", + "format": "int32", + "description": "Object id", + "name": "id", + "in": "path", + "required": true + }, + { + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/approveremailUpdateApproverEmailAddressRequest" + } + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/approveremailUpdateApproverEmailAddressResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/ssl/orders/{id}/approver-email/resend": { + "post": { + "tags": [ + "OrderApproverEmail" + ], + "summary": "Resend approver email", + "operationId": "ResendApproverEmail", + "parameters": [ + { + "type": "integer", + "format": "int32", + "description": "Object id", + "name": "id", + "in": "path", + "required": true + }, + { + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/approveremailResendApproverEmailRequest" + } + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/approveremailResendApproverEmailResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/ssl/orders/{id}/cancel": { + "post": { + "tags": [ + "Order" + ], + "summary": "Cancel order", + "externalDocs": { + "description": "For more detailed information on this method check our guide", + "url": "https://support.openprovider.eu/hc/en-us/articles/360024469053" + }, + "operationId": "CancelOrder", + "parameters": [ + { + "type": "integer", + "format": "int32", + "description": "Object id", + "name": "id", + "in": "path", + "required": true + }, + { + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/orderCancelOrderRequest" + } + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/orderCancelOrderResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/ssl/orders/{id}/otp-tokens": { + "post": { + "tags": [ + "OtpToken" + ], + "summary": "Create otp token", + "operationId": "CreateOtpToken", + "parameters": [ + { + "type": "integer", + "format": "int32", + "description": "Object id", + "name": "id", + "in": "path", + "required": true + }, + { + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/otptokenCreateOtpTokenRequest" + } + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/otptokenCreateOtpTokenResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/ssl/orders/{id}/reissue": { + "post": { + "tags": [ + "Order" + ], + "summary": "Reissue order", + "externalDocs": { + "description": "For more detailed information on this method check our guide", + "url": "https://support.openprovider.eu/hc/en-us/articles/360024304394" + }, + "operationId": "ReissueOrder", + "parameters": [ + { + "type": "integer", + "format": "int32", + "description": "Object id", + "name": "id", + "in": "path", + "required": true + }, + { + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/orderReissueOrderRequest" + } + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/orderReissueOrderResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/ssl/orders/{id}/renew": { + "post": { + "tags": [ + "Order" + ], + "summary": "Renew order", + "externalDocs": { + "description": "For more detailed information on this method check our guide", + "url": "https://support.openprovider.eu/hc/en-us/articles/360024468093" + }, + "operationId": "RenewOrder", + "parameters": [ + { + "type": "integer", + "format": "int32", + "description": "Object id", + "name": "id", + "in": "path", + "required": true + }, + { + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/orderRenewOrderRequest" + } + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/orderRenewOrderResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/ssl/products": { + "get": { + "tags": [ + "Product" + ], + "summary": "List products", + "operationId": "ListProducts", + "parameters": [ + { + "type": "integer", + "format": "int32", + "description": "Search query limit.", + "name": "limit", + "in": "query" + }, + { + "type": "integer", + "format": "int32", + "description": "Search query offset.", + "name": "offset", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Returns product price in the response.", + "name": "with_price", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "default": false, + "description": "Returns a list of supported software patforms.", + "name": "with_supported_software", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Returns a description for each product, if exists.", + "name": "with_description", + "in": "query" + }, + { + "type": "string", + "description": "Sorting type (asc/desc).", + "name": "order_by.name", + "in": "query" + }, + { + "type": "string", + "description": "Sorting type (asc/desc).", + "name": "order_by.brand_name", + "in": "query" + }, + { + "type": "string", + "description": "Sorting type (asc/desc).", + "name": "order_by.category", + "in": "query" + }, + { + "type": "string", + "description": "Sorting type (asc/desc).", + "name": "order_by.sub_category", + "in": "query" + }, + { + "type": "string", + "description": "Sorting type (asc/desc).", + "name": "order_by.brand_seqno", + "in": "query" + }, + { + "type": "string", + "description": "Sorting type (asc/desc).", + "name": "order_by.product_seqno", + "in": "query" + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/productListProductsResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/ssl/products/{id}": { + "get": { + "tags": [ + "Product" + ], + "summary": "Get product", + "operationId": "GetProduct", + "parameters": [ + { + "type": "integer", + "format": "int32", + "description": "Object id", + "name": "id", + "in": "path", + "required": true + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/productGetProductResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/tags": { + "get": { + "tags": [ + "TagService" + ], + "summary": "List tags", + "operationId": "ListTags", + "parameters": [ + { + "type": "string", + "description": "The key of the tag. Allowed values: 'customer'.", + "name": "key", + "in": "query" + }, + { + "type": "string", + "description": "The value of the tag. I.e.: VIP customer.", + "name": "value", + "in": "query" + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/tagListTagsResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + }, + "post": { + "tags": [ + "TagService" + ], + "summary": "Create tag", + "operationId": "CreateTag", + "parameters": [ + { + "name": "body", + "in": "body", + "required": true, + "schema": { + "$ref": "#/definitions/helperstagTag" + } + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/tagCreateTagResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + }, + "delete": { + "tags": [ + "TagService" + ], + "summary": "Delete tag", + "operationId": "DeleteTag", + "parameters": [ + { + "type": "string", + "description": "The key of the tag. Allowed values: 'customer'.", + "name": "key", + "in": "query" + }, + { + "type": "string", + "description": "The value of the tag. I.e.: VIP customer.", + "name": "value", + "in": "query" + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/tagDeleteTagResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/tlds": { + "get": { + "tags": [ + "TldService" + ], + "summary": "List tlds", + "operationId": "ListTlds", + "parameters": [ + { + "type": "integer", + "format": "int32", + "description": "Search query limit.", + "name": "limit", + "in": "query" + }, + { + "type": "integer", + "format": "int32", + "description": "Search query offset.", + "name": "offset", + "in": "query" + }, + { + "type": "string", + "description": "Sorts output ASC or DESC.", + "name": "order", + "in": "query" + }, + { + "type": "string", + "description": "Sorts output by a field.", + "name": "order_by", + "in": "query" + }, + { + "type": "array", + "items": { + "type": "string" + }, + "collectionFormat": "multi", + "description": "Array of extensions.", + "name": "extensions", + "in": "query" + }, + { + "type": "string", + "description": "Extension name pattern. Wildcard (*) can be used.", + "name": "name_pattern", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Returns only extension names in the output.", + "name": "only_names", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Returns additional extension description.", + "name": "with_description", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Returns list of extension restrictions.", + "name": "with_restrictions", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Returns number of domains using specified extension in this account.", + "name": "with_usage_count", + "in": "query" + }, + { + "type": "array", + "items": { + "type": "string" + }, + "collectionFormat": "multi", + "description": "Array of extension application modes.", + "name": "with_application_mode", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Returns extension prices.", + "name": "with_price", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Returns extension prices for each Openprovider discount tier.", + "name": "with_level_prices", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Indicates, if extension is active.", + "name": "is_active", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Indicates, if extension is a newGTLD.", + "name": "is_new_gtld", + "in": "query" + }, + { + "type": "string", + "description": "Extension status.", + "name": "status", + "in": "query" + }, + { + "type": "string", + "description": "Pre-registration mode.", + "name": "application_mode", + "in": "query" + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/tldListTldsResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/tlds/{name}": { + "get": { + "tags": [ + "TldService" + ], + "summary": "Get tld", + "operationId": "GetTld", + "parameters": [ + { + "type": "string", + "description": "Extension name", + "name": "name", + "in": "path", + "required": true + }, + { + "type": "integer", + "format": "int32", + "description": "Search query limit.", + "name": "limit", + "in": "query" + }, + { + "type": "integer", + "format": "int32", + "description": "Search query offset.", + "name": "offset", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Returns additional extension description.", + "name": "with_description", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Returns list of extension restrictions.", + "name": "with_restrictions", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Returns extension prices.", + "name": "with_price", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Returns extension prices for each Openprovider discount tier.", + "name": "with_level_prices", + "in": "query" + }, + { + "type": "boolean", + "format": "boolean", + "description": "Returns number of domains using specified extension in this account.", + "name": "with_usage_count", + "in": "query" + }, + { + "type": "array", + "items": { + "type": "string" + }, + "collectionFormat": "multi", + "description": "Extension status.", + "name": "status", + "in": "query" + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/tldGetTldResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + }, + "/v1beta/transactions": { + "get": { + "tags": [ + "Transaction" + ], + "summary": "List transactions", + "operationId": "ListTransactions", + "parameters": [ + { + "type": "integer", + "format": "int32", + "description": "The limit.", + "name": "limit", + "in": "query" + }, + { + "type": "integer", + "format": "int32", + "description": "The offset.", + "name": "offset", + "in": "query" + }, + { + "type": "string", + "description": "The order.", + "name": "order", + "in": "query" + }, + { + "type": "string", + "description": "The order by.", + "name": "order_by", + "in": "query" + }, + { + "type": "string", + "description": "The start creation date.", + "name": "start_creation_date", + "in": "query" + }, + { + "type": "string", + "description": "The end creation date.", + "name": "end_creation_date", + "in": "query" + }, + { + "type": "string", + "description": "The filter for subject.", + "name": "filter_for_subject", + "in": "query" + } + ], + "responses": { + "200": { + "description": "A successful response.", + "schema": { + "$ref": "#/definitions/transactionListTransactionsResponse" + } + }, + "default": { + "description": "(empty)", + "schema": { + "$ref": "#/definitions/errorError" + } + } + } + } + } + }, + "definitions": { + "additional_dataGetAdditionalDataResponse": { + "type": "object", + "title": "GetAdditionalDataResponse", + "properties": { + "code": { + "type": "integer", + "format": "int32", + "title": "Response code" + }, + "data": { + "type": "array", + "title": "Response data", + "items": { + "$ref": "#/definitions/additional_dataSpecification" + } + }, + "desc": { + "type": "string", + "title": "Response description" + }, + "maintenance": { + "type": "boolean", + "format": "boolean", + "title": "Indicates if the Openprovider API is on maintenance" + }, + "warnings": { + "type": "array", + "title": "Contains warning responses if any", + "items": { + "$ref": "#/definitions/errorWarning" + } + } + }, + "example": { + "code": 0, + "data": [ + { + "description": "IDN script states what language or character set the domain name is in", + "name": "idnScript", + "options": [ + { + "description": "Norwegian", + "value": "no" + } + ], + "required": false, + "type": "select" + } + ], + "desc": "" + } + }, + "additional_dataSelectOption": { + "type": "object", + "title": "SelectOption", + "properties": { + "description": { + "type": "string", + "title": "Parameter description" + }, + "value": { + "type": "string", + "title": "Option value" + } + }, + "example": { + "description": "Norwegian", + "value": "no" + } + }, + "additional_dataSpecification": { + "type": "object", + "title": "Specification", + "properties": { + "description": { + "type": "string", + "title": "Parameter description" + }, + "name": { + "type": "string", + "title": "Parameter name" + }, + "options": { + "type": "array", + "title": "Array of options", + "items": { + "$ref": "#/definitions/additional_dataSelectOption" + } + }, + "required": { + "type": "boolean", + "format": "boolean", + "title": "Indicates, if specified additional data parameter is mandatory" + }, + "type": { + "type": "string", + "title": "Specification type" + } + }, + "example": { + "description": "IDN script states what language or character set the domain name is in", + "name": "idnScript", + "options": [ + { + "description": "Norwegian", + "value": "no" + } + ], + "required": false, + "type": "select" + } + }, + "aliasAddAliasRequest": { + "type": "object", + "title": "AddAliasRequest", + "properties": { + "alias": { + "type": "string", + "title": "Name of mailbox alias address" + }, + "domain": { + "title": "Domain name and extension", + "$ref": "#/definitions/aliasDomain" + }, + "mailbox": { + "type": "string", + "title": "Name of the mailbox" + } + }, + "example": { + "alias": "info", + "domain": { + "extension": "london", + "name": "test4" + }, + "mailbox": "openprovider" + } + }, + "aliasAddAliasResponse": { + "type": "object", + "title": "AddAliasResponse", + "properties": { + "code": { + "type": "integer", + "format": "int32", + "title": "Response code" + }, + "data": { + "title": "Response data", + "$ref": "#/definitions/aliasAliasResponseData" + }, + "desc": { + "type": "string", + "title": "Response description" + }, + "warnings": { + "type": "array", + "title": "Array of warning messages", + "items": { + "$ref": "#/definitions/errorWarning" + } + } + }, + "example": { + "code": 0, + "data": { + "alias": "", + "message": "Message from mailcow", + "status": "" + }, + "desc": "" + } + }, + "aliasAddTimeLimitedAliasRequest": { + "type": "object", + "title": "AddTimeLimitedAliasRequest", + "properties": { + "domain": { + "title": "Domain name and extension", + "$ref": "#/definitions/aliasDomain" + }, + "mailbox": { + "type": "string", + "title": "Name of the mailbox" + } + }, + "example": { + "domain": { + "extension": "london", + "name": "test4" + }, + "mailbox": "openprovider" + } + }, + "aliasAddTimeLimitedAliasResponse": { + "type": "object", + "title": "AddTimeLimitedAliasResponse", + "properties": { + "code": { + "type": "integer", + "format": "int32", + "title": "Response code" + }, + "data": { + "title": "Response data", + "$ref": "#/definitions/aliasAddTimeLimitedAliasResponseData" + }, + "desc": { + "type": "string", + "title": "Response description" + }, + "warnings": { + "type": "array", + "title": "Array of warning messages", + "items": { + "$ref": "#/definitions/errorWarning" + } + } + }, + "example": { + "code": 0, + "data": { + "results": [ + { + "alias": "Message from mailcow", + "created": "2019-01-01 0:00:01", + "mailbox": "", + "validity": 1668251246 + } + ] + }, + "desc": "" + } + }, + "aliasAddTimeLimitedAliasResponseData": { + "type": "object", + "title": "AddTimeLimitedAliasResponseData", + "properties": { + "results": { + "type": "array", + "title": "Results list", + "items": { + "$ref": "#/definitions/aliasTimeLimitedAliasData" + } + } + }, + "example": { + "results": [ + { + "alias": "Message from mailcow", + "created": "2019-01-01 0:00:01", + "mailbox": "", + "validity": 1668251246 + } + ] + } + }, + "aliasAliasBoolResponseData": { + "type": "object", + "title": "AliasBoolResponseData", + "properties": { + "success": { + "type": "boolean", + "format": "boolean", + "title": "Indicates if operation was successful" + } + }, + "example": { + "success": false + } + }, + "aliasAliasData": { + "type": "object", + "title": "AliasData", + "properties": { + "active": { + "type": "boolean", + "format": "boolean", + "title": "Alias status in mailcow" + }, + "alias": { + "type": "string", + "title": "Domain name and extension" + }, + "created": { + "type": "string", + "title": "Date of alias creation" + }, + "id": { + "type": "integer", + "format": "int32", + "title": "The id" + }, + "mailbox": { + "type": "string", + "title": "Alias mailbox" + }, + "private_comment": { + "type": "string", + "title": "The private comment" + }, + "public_comment": { + "type": "string", + "title": "The public comment" + } + }, + "example": { + "active": false, + "alias": "", + "created": "2019-01-01 0:00:01", + "id": 0, + "mailbox": "", + "private_comment": "Alias private comment", + "public_comment": "Alias public comment" + } + }, + "aliasAliasGetResponseData": { + "type": "object", + "title": "AliasGetResponseData", + "properties": { + "results": { + "type": "array", + "title": "Results list", + "items": { + "$ref": "#/definitions/aliasAliasData" + } + } + }, + "example": { + "results": [ + { + "active": false, + "alias": "", + "created": "2019-01-01 0:00:01", + "id": 0, + "mailbox": "", + "private_comment": "Alias private comment", + "public_comment": "Alias public comment" + } + ] + } + }, + "aliasAliasListResponseData": { + "type": "object", + "title": "AliasListResponseData", + "properties": { + "results": { + "type": "array", + "title": "Results list", + "items": { + "$ref": "#/definitions/aliasAliasData" + } + }, + "total": { + "type": "integer", + "format": "int32", + "title": "Results count" + } + }, + "example": { + "results": [ + { + "active": false, + "alias": "", + "created": "2019-01-01 0:00:01", + "id": 0, + "mailbox": "", + "private_comment": "Alias private comment", + "public_comment": "Alias public comment" + } + ], + "total": 999 + } + }, + "aliasAliasResponseData": { + "type": "object", + "title": "AliasResponseData", + "properties": { + "alias": { + "type": "string", + "title": "Mailbox alias address" + }, + "message": { + "type": "string", + "title": "The message" + }, + "status": { + "type": "string", + "title": "Alias status in mailcow" + } + }, + "example": { + "alias": "", + "message": "Message from mailcow", + "status": "" + } + }, + "aliasDeleteAliasResponse": { + "type": "object", + "title": "DeleteAliasResponse", + "properties": { + "code": { + "type": "integer", + "format": "int32", + "title": "Response code" + }, + "data": { + "title": "Response data", + "$ref": "#/definitions/aliasAliasResponseData" + }, + "desc": { + "type": "string", + "title": "Response description" + }, + "maintenance": { + "type": "boolean", + "format": "boolean", + "title": "Indicates if Openprovider API is on maintenance" + }, + "warnings": { + "type": "array", + "title": "Array of warning messages", + "items": { + "$ref": "#/definitions/errorWarning" + } + } + }, + "example": { + "code": 0, + "data": { + "alias": "", + "message": "Message from mailcow", + "status": "" + }, + "desc": "" + } + }, + "aliasDomain": { + "type": "object", + "title": "Domain", + "properties": { + "extension": { + "type": "string", + "title": "Domain extension" + }, + "name": { + "type": "string", + "title": "Domain name without extension" + } + }, + "example": { + "extension": "london", + "name": "test4" + } + }, + "aliasEditAliasRequest": { + "type": "object", + "title": "EditAliasRequest", + "properties": { + "active": { + "type": "boolean", + "format": "boolean", + "title": "Alias status" + }, + "alias": { + "type": "string", + "title": "Name of mailbox alias address" + }, + "id": { + "type": "integer", + "format": "int32", + "title": "MailCow alias id" + }, + "private_comment": { + "type": "string", + "title": "Alias private comment" + }, + "public_comment": { + "type": "string", + "title": "Alias public comment" + } + }, + "example": { + "active": false, + "alias": "info", + "id": 123456789, + "private_comment": "", + "public_comment": "" + } + }, + "aliasEditAliasResponse": { + "type": "object", + "title": "EditAliasResponse", + "properties": { + "code": { + "type": "integer", + "format": "int32", + "title": "Response code" + }, + "data": { + "title": "Response data", + "$ref": "#/definitions/aliasAliasBoolResponseData" + }, + "desc": { + "type": "string", + "title": "Response description" + }, + "maintenance": { + "type": "boolean", + "format": "boolean", + "title": "Indicates if Openprovider API is on maintenance" + }, + "warnings": { + "type": "array", + "title": "Array of warning messages", + "items": { + "$ref": "#/definitions/errorWarning" + } + } + }, + "example": { + "code": 0, + "data": { + "success": false + }, + "desc": "" + } + }, + "aliasGetAliasResponse": { + "type": "object", + "title": "GetAliasResponse", + "properties": { + "code": { + "type": "integer", + "format": "int32", + "title": "Response code" + }, + "data": { + "title": "Response data", + "$ref": "#/definitions/aliasAliasGetResponseData" + }, + "desc": { + "type": "string", + "title": "Response description" + }, + "maintenance": { + "type": "boolean", + "format": "boolean", + "title": "Indicates if Openprovider API is on maintenance" + }, + "warnings": { + "type": "array", + "title": "Array of warning messages", + "items": { + "$ref": "#/definitions/errorWarning" + } + } + }, + "example": { + "code": 0, + "data": { + "results": [ + { + "active": false, + "alias": "", + "created": "2019-01-01 0:00:01", + "id": 0, + "mailbox": "", + "private_comment": "Alias private comment", + "public_comment": "Alias public comment" + } + ] + }, + "desc": "" } - } - }, - "definitions": { - "additional_dataGetAdditionalDataResponse": { + }, + "aliasGetTimeLimitedAliasResponse": { "type": "object", - "title": "GetAdditionalDataResponse", + "title": "GetTimeLimitedAliasResponse", "properties": { "code": { "type": "integer", @@ -5599,11 +7164,8 @@ "title": "Response code" }, "data": { - "type": "array", "title": "Response data", - "items": { - "$ref": "#/definitions/additional_dataSpecification" - } + "$ref": "#/definitions/aliasAliasGetResponseData" }, "desc": { "type": "string", @@ -5612,11 +7174,11 @@ "maintenance": { "type": "boolean", "format": "boolean", - "title": "Indicates if the Openprovider API is on maintenance" + "title": "Indicates if Openprovider API is on maintenance" }, "warnings": { "type": "array", - "title": "Contains warning responses if any", + "title": "Array of warning messages", "items": { "$ref": "#/definitions/errorWarning" } @@ -5624,81 +7186,98 @@ }, "example": { "code": 0, - "data": [ - { - "description": "IDN script states what language or character set the domain name is in", - "name": "idnScript", - "options": [ - { - "description": "Norwegian", - "value": "no" - } - ], - "required": false, - "type": "select" - } - ], + "data": { + "results": [ + { + "active": false, + "alias": "", + "created": "2019-01-01 0:00:01", + "id": 0, + "mailbox": "", + "private_comment": "Alias private comment", + "public_comment": "Alias public comment" + } + ] + }, "desc": "" } }, - "additional_dataSelectOption": { + "aliasListAliasResponse": { "type": "object", - "title": "SelectOption", + "title": "ListAliasResponse", "properties": { - "description": { - "type": "string", - "title": "Parameter description" + "code": { + "type": "integer", + "format": "int32", + "title": "Response code" }, - "value": { + "data": { + "title": "Response data", + "$ref": "#/definitions/aliasAliasListResponseData" + }, + "desc": { "type": "string", - "title": "Option value" + "title": "Response description" + }, + "maintenance": { + "type": "boolean", + "format": "boolean", + "title": "Indicates if Openprovider API is on maintenance" + }, + "warnings": { + "type": "array", + "title": "Array of warning messages", + "items": { + "$ref": "#/definitions/errorWarning" + } } }, "example": { - "description": "Norwegian", - "value": "no" + "code": 0, + "data": { + "results": [ + { + "active": false, + "alias": "", + "created": "2019-01-01 0:00:01", + "id": 0, + "mailbox": "", + "private_comment": "Alias private comment", + "public_comment": "Alias public comment" + } + ], + "total": 999 + }, + "desc": "" } }, - "additional_dataSpecification": { + "aliasTimeLimitedAliasData": { "type": "object", - "title": "Specification", + "title": "TimeLimitedAliasData", "properties": { - "description": { + "alias": { "type": "string", - "title": "Parameter description" + "title": "The alias" }, - "name": { + "created": { "type": "string", - "title": "Parameter name" - }, - "options": { - "type": "array", - "title": "Array of options", - "items": { - "$ref": "#/definitions/additional_dataSelectOption" - } - }, - "required": { - "type": "boolean", - "format": "boolean", - "title": "Indicates, if specified additional data parameter is mandatory" + "title": "Date of alias creation" }, - "type": { + "mailbox": { "type": "string", - "title": "Specification type" + "title": "Mailbox address" + }, + "validity": { + "type": "integer", + "format": "int32", + "title": "Alias expire timpestamp" } }, "example": { - "description": "IDN script states what language or character set the domain name is in", - "name": "idnScript", - "options": [ - { - "description": "Norwegian", - "value": "no" - } - ], - "required": false, - "type": "select" + "alias": "Message from mailcow", + "created": "2019-01-01 0:00:01", + "mailbox": "", + "validity": 1668251246 } }, "approveremailListApproverEmailsResponse": { @@ -6596,6 +8175,93 @@ "success": false } }, + "contactGetContactNotificationSettingResponse": { + "type": "object", + "title": "GetContactNotificationSettingResponse", + "properties": { + "code": { + "type": "integer", + "format": "int32", + "title": "Response code" + }, + "data": { + "title": "Response data", + "$ref": "#/definitions/contactGetContactNotificationSettingResponseData" + }, + "desc": { + "type": "string", + "title": "Response description" + }, + "maintenance": { + "type": "boolean", + "format": "boolean", + "title": "Indicates if Openprovider API is on maintenance" + }, + "warnings": { + "type": "array", + "title": "Array of warning messages", + "items": { + "$ref": "#/definitions/errorWarning" + } + } + }, + "example": { + "code": 0, + "data": { + "educational_content": true, + "id": 0, + "marketing_promotion": true, + "operational_notification": true, + "platform_update_news": true, + "reseller_contact_id": 2292 + }, + "desc": "" + } + }, + "contactGetContactNotificationSettingResponseData": { + "type": "object", + "title": "GetContactNotificationSettingResponseData", + "properties": { + "educational_content": { + "type": "boolean", + "format": "boolean", + "title": "Educational content enabled (true) or disabled (false)" + }, + "id": { + "type": "integer", + "format": "int32", + "title": "Notification setting ID (null if no configuration exists)" + }, + "marketing_promotion": { + "type": "boolean", + "format": "boolean", + "title": "Marketing promotions enabled (true) or disabled (false)" + }, + "operational_notification": { + "type": "boolean", + "format": "boolean", + "title": "Operational notifications enabled (true) or disabled (false)" + }, + "platform_update_news": { + "type": "boolean", + "format": "boolean", + "title": "Platform updates & news enabled (true) or disabled (false)" + }, + "reseller_contact_id": { + "type": "integer", + "format": "int32", + "title": "Reseller contact ID" + } + }, + "example": { + "educational_content": true, + "id": 0, + "marketing_promotion": true, + "operational_notification": true, + "platform_update_news": true, + "reseller_contact_id": 2292 + } + }, "contactGetContactResponse": { "type": "object", "title": "GetContactResponse", @@ -6906,34 +8572,118 @@ } }, "example": { - "first_name": "Test", - "full_name": "Test Person", - "initials": "T P", - "last_name": "Person", - "prefix": "Mr" + "first_name": "Test", + "full_name": "Test Person", + "initials": "T P", + "last_name": "Person", + "prefix": "Mr" + } + }, + "contactPhone": { + "type": "object", + "title": "Phone", + "properties": { + "area_code": { + "type": "string", + "title": "Area code part of the phone number (excluding leading zero)" + }, + "country_code": { + "type": "string", + "title": "Country code part of the phone number (including +)" + }, + "subscriber_number": { + "type": "string", + "title": "Subscriber number part of the phone number" + } + }, + "example": { + "area_code": "111", + "country_code": "+03", + "subscriber_number": "123456" + } + }, + "contactUpdateContactNotificationSettingRequest": { + "type": "object", + "title": "UpdateContactNotificationSettingRequest", + "properties": { + "educational_content": { + "type": "boolean", + "format": "boolean", + "title": "Enable or disable educational content" + }, + "marketing_promotion": { + "type": "boolean", + "format": "boolean", + "title": "Enable or disable marketing promotions" + }, + "operational_notification": { + "type": "boolean", + "format": "boolean", + "title": "Enable or disable operational notifications" + }, + "platform_update_news": { + "type": "boolean", + "format": "boolean", + "title": "Enable or disable platform updates & news" + } + }, + "example": { + "educational_content": false, + "marketing_promotion": false, + "operational_notification": false, + "platform_update_news": false + } + }, + "contactUpdateContactNotificationSettingResponse": { + "type": "object", + "title": "UpdateContactNotificationSettingResponse", + "properties": { + "code": { + "type": "integer", + "format": "int32", + "title": "Response code" + }, + "data": { + "title": "Response data", + "$ref": "#/definitions/contactUpdateContactNotificationSettingResponseData" + }, + "desc": { + "type": "string", + "title": "Response description" + }, + "maintenance": { + "type": "boolean", + "format": "boolean", + "title": "Indicates if Openprovider API is on maintenance" + }, + "warnings": { + "type": "array", + "title": "Array of warning messages", + "items": { + "$ref": "#/definitions/errorWarning" + } + } + }, + "example": { + "code": 0, + "data": { + "success": false + }, + "desc": "" } }, - "contactPhone": { + "contactUpdateContactNotificationSettingResponseData": { "type": "object", - "title": "Phone", + "title": "UpdateContactNotificationSettingResponseData", "properties": { - "area_code": { - "type": "string", - "title": "Area code part of the phone number (excluding leading zero)" - }, - "country_code": { - "type": "string", - "title": "Country code part of the phone number (including +)" - }, - "subscriber_number": { - "type": "string", - "title": "Subscriber number part of the phone number" + "success": { + "type": "boolean", + "format": "boolean", + "title": "Indicates if operation was successful" } }, "example": { - "area_code": "111", - "country_code": "+03", - "subscriber_number": "123456" + "success": false } }, "contactUpdateContactRequest": { @@ -7583,25 +9333,45 @@ "first_name_cyrillic": "Test", "first_name_latin": "Test", "hr_member": "", + "in_nexus_connection_to_india": "ENTITY", + "in_nexus_declaration_attestation": "YES", "industry_class": "19", "is_private_enterpreneur": "", "last_name_cyrillic": "Person", "last_name_latin": "Person", + "legal_address_area": "Moscow Time Zone", + "legal_address_building": "Bldg. 1", + "legal_address_city": "Moscow", + "legal_address_country_code": "RU", "legal_address_cyrillic": "13245 Country, City, street, 2", + "legal_address_house": "AA1111", + "legal_address_postal_code": "AB1111", + "legal_address_region": "Moscow Region", + "legal_address_street": "Korolyova", "legal_type": "FCORP", "middle_name_cyrillic": "Nikolaevich", "middle_name_latin": "Nikolaevich", "mobile_phone_number": "+7 (123) 456-78-90", + "mobile_phone_number_country_code": "+7", "music_nexus_connection_to_music": "MSCN", "music_nexus_registry_policies_attestation": "YES", "nexus_category": "C31", "org_type": "1", + "passport_expiry_date": "2025-01-01", "passport_issue_date": "2009-01-11", + "passport_issue_id": "345-876", "passport_issuer": "Issuer name", "passport_number": "12345678", "passport_series": "1234", + "postal_address_area": "Moscow Time Zone", + "postal_address_building": "Bldg. 1", + "postal_address_city": "Moscow", "postal_address_cyrillic": "12345 Country, City, street, 1", + "postal_address_house": "AA11", + "postal_address_region": "Moscow Region", + "postal_address_street": "Korolyova", "social_security_number": "X123455123X", + "sole_proprietorship": "true", "tax_payer_number": "1345678", "uin": "12345-6", "user_type": "Individual", @@ -7883,25 +9653,45 @@ "first_name_cyrillic": "Test", "first_name_latin": "Test", "hr_member": "", + "in_nexus_connection_to_india": "ENTITY", + "in_nexus_declaration_attestation": "YES", "industry_class": "19", "is_private_enterpreneur": "", "last_name_cyrillic": "Person", "last_name_latin": "Person", + "legal_address_area": "Moscow Time Zone", + "legal_address_building": "Bldg. 1", + "legal_address_city": "Moscow", + "legal_address_country_code": "RU", "legal_address_cyrillic": "13245 Country, City, street, 2", + "legal_address_house": "AA1111", + "legal_address_postal_code": "AB1111", + "legal_address_region": "Moscow Region", + "legal_address_street": "Korolyova", "legal_type": "FCORP", "middle_name_cyrillic": "Nikolaevich", "middle_name_latin": "Nikolaevich", "mobile_phone_number": "+7 (123) 456-78-90", + "mobile_phone_number_country_code": "+7", "music_nexus_connection_to_music": "MSCN", "music_nexus_registry_policies_attestation": "YES", "nexus_category": "C31", "org_type": "1", + "passport_expiry_date": "2025-01-01", "passport_issue_date": "2009-01-11", + "passport_issue_id": "345-876", "passport_issuer": "Issuer name", "passport_number": "12345678", "passport_series": "1234", + "postal_address_area": "Moscow Time Zone", + "postal_address_building": "Bldg. 1", + "postal_address_city": "Moscow", "postal_address_cyrillic": "12345 Country, City, street, 1", + "postal_address_house": "AA11", + "postal_address_region": "Moscow Region", + "postal_address_street": "Korolyova", "social_security_number": "X123455123X", + "sole_proprietorship": "true", "tax_payer_number": "1345678", "uin": "12345-6", "user_type": "Individual", @@ -7972,6 +9762,14 @@ "type": "string", "title": "The hrMember: choose whether the contact is a member of the \u201eHuman Resource Organization\u201c.\nApplicable to: .jobs" }, + "in_nexus_connection_to_india": { + "type": "string", + "title": "The nexus connection to India\nApplicable to: .in and its Second Level Domains (SLDs)" + }, + "in_nexus_declaration_attestation": { + "type": "string", + "title": "The nexus declaration attestation\nApplicable to: .in and its Second Level Domains (SLDs)" + }, "industry_class": { "type": "string", "title": "The industry class\nApplicable to: .jobs" @@ -7988,10 +9786,42 @@ "type": "string", "title": "The last name in Latin\nApplicable to: .ru, .su, .xn--p1ai" }, + "legal_address_area": { + "type": "string", + "title": "The legal address area in in Latin.If domain owner is based on Russia can be supplied in Cyrillic\nApplicable to: .ru, .xn--p1ai" + }, + "legal_address_building": { + "type": "string", + "title": "The legal address building\nApplicable to: .ru, .xn--p1ai" + }, + "legal_address_city": { + "type": "string", + "title": "The legal address city in Latin.If domain owner is based on Russia can be supplied in Cyrillic\nApplicable to: .ru, .xn--p1ai" + }, + "legal_address_country_code": { + "type": "string", + "title": "The legal address country code. ISO 3166-1 alpha-2\nApplicable to: .ru, .xn--p1ai" + }, "legal_address_cyrillic": { "type": "string", "title": "The legal address in cyrillic.If domain owner is based outside of Russia can be supplied in Latin\nApplicable to: .ru, .su, .xn--p1ai" }, + "legal_address_house": { + "type": "string", + "title": "The legal address house\nApplicable to: .ru, .xn--p1ai" + }, + "legal_address_postal_code": { + "type": "string", + "title": "The legal address postal code\nApplicable to: .ru, .xn--p1ai" + }, + "legal_address_region": { + "type": "string", + "title": "The legal address region in in Latin.If domain owner is based on Russia can be supplied in Cyrillic\nApplicable to: .ru, .xn--p1ai" + }, + "legal_address_street": { + "type": "string", + "title": "The legal address street in in Latin.If domain owner is based on Russia can be supplied in Cyrillic\nApplicable to: .ru, .xn--p1ai" + }, "legal_type": { "type": "string", "title": "The legal type of Customer.\nApplicable to: .uk, .co.uk, org.uk, me.uk, .ltd.uk" @@ -8008,6 +9838,10 @@ "type": "string", "title": "The mobile phone number with SMS function\nApplicable to: .ru, .su, .xn--p1ai" }, + "mobile_phone_number_country_code": { + "type": "string", + "title": "The mobile phone number country code with (+) sign\nApplicable to: .ru, .xn--p1ai" + }, "music_nexus_connection_to_music": { "type": "string", "title": "The nexus connection to music\nApplicable to: .music" @@ -8024,10 +9858,18 @@ "type": "string", "title": "The type of Organization\nApplicable to: .fi" }, + "passport_expiry_date": { + "type": "string", + "title": "The passport expiry date\nApplicable to: .ru, .xn--p1ai" + }, "passport_issue_date": { "type": "string", "title": "The passport issue date\nApplicable to: .ru, .su, .xn--p1ai" }, + "passport_issue_id": { + "type": "string", + "title": "The passport issue id\nApplicable to: .ru, .xn--p1ai" + }, "passport_issuer": { "type": "string", "title": "The passport issuer\nApplicable to: .ru, .su, .xn--p1ai" @@ -8040,14 +9882,42 @@ "type": "string", "title": "The passport series\nApplicable to: .ru, .su, .xn--p1ai" }, + "postal_address_area": { + "type": "string", + "title": "The postal address area in Latin. If domain owner is based on Russia can be supplied in Cyrillic\nApplicable to: .ru, .xn--p1ai" + }, + "postal_address_building": { + "type": "string", + "title": "The postal address building\nApplicable to: .ru, .xn--p1ai" + }, + "postal_address_city": { + "type": "string", + "title": "The postal address city in Latin. If domain owner is based on Russia can be supplied in Cyrillic\nApplicable to: .ru, .xn--p1ai" + }, "postal_address_cyrillic": { "type": "string", "title": "The postal address in cyrillic. If domain owner is based outside of Russia can be supplied in Latin\nApplicable to: .ru, .su, .xn--p1ai" }, + "postal_address_house": { + "type": "string", + "title": "The postal address house\nApplicable to: .ru, .xn--p1ai" + }, + "postal_address_region": { + "type": "string", + "title": "The postal address region in Latin. If domain owner is based on Russia can be supplied in Cyrillic\nApplicable to: .ru, .xn--p1ai" + }, + "postal_address_street": { + "type": "string", + "title": "The postal address street in Latin. If domain owner is based on Russia can be supplied in Cyrillic\nApplicable to: .ru, .xn--p1ai" + }, "social_security_number": { "type": "string", "title": "The social security number. Required in case if domain requester is a private individual and passport number is empty\nApplicable to: .es, .se" }, + "sole_proprietorship": { + "type": "string", + "title": "Indicates whether a foreign company contact is a sole proprietorship. Required for NIS2 compliance.\nOnly applicable to foreign company contacts (country code must not be DK).\nApplicable to: .dk" + }, "tax_payer_number": { "type": "string", "title": "The tax payer number\nApplicable to: .ru, .su, .xn--p1ai" @@ -8088,25 +9958,45 @@ "first_name_cyrillic": "Test", "first_name_latin": "Test", "hr_member": "", + "in_nexus_connection_to_india": "ENTITY", + "in_nexus_declaration_attestation": "YES", "industry_class": "19", "is_private_enterpreneur": "", "last_name_cyrillic": "Person", "last_name_latin": "Person", + "legal_address_area": "Moscow Time Zone", + "legal_address_building": "Bldg. 1", + "legal_address_city": "Moscow", + "legal_address_country_code": "RU", "legal_address_cyrillic": "13245 Country, City, street, 2", + "legal_address_house": "AA1111", + "legal_address_postal_code": "AB1111", + "legal_address_region": "Moscow Region", + "legal_address_street": "Korolyova", "legal_type": "FCORP", "middle_name_cyrillic": "Nikolaevich", "middle_name_latin": "Nikolaevich", "mobile_phone_number": "+7 (123) 456-78-90", + "mobile_phone_number_country_code": "+7", "music_nexus_connection_to_music": "MSCN", "music_nexus_registry_policies_attestation": "YES", "nexus_category": "C31", "org_type": "1", + "passport_expiry_date": "2025-01-01", "passport_issue_date": "2009-01-11", + "passport_issue_id": "345-876", "passport_issuer": "Issuer name", "passport_number": "12345678", "passport_series": "1234", + "postal_address_area": "Moscow Time Zone", + "postal_address_building": "Bldg. 1", + "postal_address_city": "Moscow", "postal_address_cyrillic": "12345 Country, City, street, 1", + "postal_address_house": "AA11", + "postal_address_region": "Moscow Region", + "postal_address_street": "Korolyova", "social_security_number": "X123455123X", + "sole_proprietorship": "true", "tax_payer_number": "1345678", "uin": "12345-6", "user_type": "Individual", @@ -8253,25 +10143,45 @@ "first_name_cyrillic": "Test", "first_name_latin": "Test", "hr_member": "", + "in_nexus_connection_to_india": "ENTITY", + "in_nexus_declaration_attestation": "YES", "industry_class": "19", "is_private_enterpreneur": "", "last_name_cyrillic": "Person", "last_name_latin": "Person", + "legal_address_area": "Moscow Time Zone", + "legal_address_building": "Bldg. 1", + "legal_address_city": "Moscow", + "legal_address_country_code": "RU", "legal_address_cyrillic": "13245 Country, City, street, 2", + "legal_address_house": "AA1111", + "legal_address_postal_code": "AB1111", + "legal_address_region": "Moscow Region", + "legal_address_street": "Korolyova", "legal_type": "FCORP", "middle_name_cyrillic": "Nikolaevich", "middle_name_latin": "Nikolaevich", "mobile_phone_number": "+7 (123) 456-78-90", + "mobile_phone_number_country_code": "+7", "music_nexus_connection_to_music": "MSCN", "music_nexus_registry_policies_attestation": "YES", "nexus_category": "C31", "org_type": "1", + "passport_expiry_date": "2025-01-01", "passport_issue_date": "2009-01-11", + "passport_issue_id": "345-876", "passport_issuer": "Issuer name", "passport_number": "12345678", "passport_series": "1234", + "postal_address_area": "Moscow Time Zone", + "postal_address_building": "Bldg. 1", + "postal_address_city": "Moscow", "postal_address_cyrillic": "12345 Country, City, street, 1", + "postal_address_house": "AA11", + "postal_address_region": "Moscow Region", + "postal_address_street": "Korolyova", "social_security_number": "X123455123X", + "sole_proprietorship": "true", "tax_payer_number": "1345678", "uin": "12345-6", "user_type": "Individual", @@ -8470,25 +10380,45 @@ "first_name_cyrillic": "Test", "first_name_latin": "Test", "hr_member": "", + "in_nexus_connection_to_india": "ENTITY", + "in_nexus_declaration_attestation": "YES", "industry_class": "19", "is_private_enterpreneur": "", "last_name_cyrillic": "Person", "last_name_latin": "Person", + "legal_address_area": "Moscow Time Zone", + "legal_address_building": "Bldg. 1", + "legal_address_city": "Moscow", + "legal_address_country_code": "RU", "legal_address_cyrillic": "13245 Country, City, street, 2", + "legal_address_house": "AA1111", + "legal_address_postal_code": "AB1111", + "legal_address_region": "Moscow Region", + "legal_address_street": "Korolyova", "legal_type": "FCORP", "middle_name_cyrillic": "Nikolaevich", "middle_name_latin": "Nikolaevich", "mobile_phone_number": "+7 (123) 456-78-90", + "mobile_phone_number_country_code": "+7", "music_nexus_connection_to_music": "MSCN", "music_nexus_registry_policies_attestation": "YES", "nexus_category": "C31", "org_type": "1", + "passport_expiry_date": "2025-01-01", "passport_issue_date": "2009-01-11", + "passport_issue_id": "345-876", "passport_issuer": "Issuer name", "passport_number": "12345678", "passport_series": "1234", + "postal_address_area": "Moscow Time Zone", + "postal_address_building": "Bldg. 1", + "postal_address_city": "Moscow", "postal_address_cyrillic": "12345 Country, City, street, 1", + "postal_address_house": "AA11", + "postal_address_region": "Moscow Region", + "postal_address_street": "Korolyova", "social_security_number": "X123455123X", + "sole_proprietorship": "true", "tax_payer_number": "1345678", "uin": "12345-6", "user_type": "Individual", @@ -8677,25 +10607,45 @@ "first_name_cyrillic": "Test", "first_name_latin": "Test", "hr_member": "", + "in_nexus_connection_to_india": "ENTITY", + "in_nexus_declaration_attestation": "YES", "industry_class": "19", "is_private_enterpreneur": "", "last_name_cyrillic": "Person", "last_name_latin": "Person", + "legal_address_area": "Moscow Time Zone", + "legal_address_building": "Bldg. 1", + "legal_address_city": "Moscow", + "legal_address_country_code": "RU", "legal_address_cyrillic": "13245 Country, City, street, 2", + "legal_address_house": "AA1111", + "legal_address_postal_code": "AB1111", + "legal_address_region": "Moscow Region", + "legal_address_street": "Korolyova", "legal_type": "FCORP", "middle_name_cyrillic": "Nikolaevich", "middle_name_latin": "Nikolaevich", "mobile_phone_number": "+7 (123) 456-78-90", + "mobile_phone_number_country_code": "+7", "music_nexus_connection_to_music": "MSCN", "music_nexus_registry_policies_attestation": "YES", "nexus_category": "C31", "org_type": "1", + "passport_expiry_date": "2025-01-01", "passport_issue_date": "2009-01-11", + "passport_issue_id": "345-876", "passport_issuer": "Issuer name", "passport_number": "12345678", "passport_series": "1234", + "postal_address_area": "Moscow Time Zone", + "postal_address_building": "Bldg. 1", + "postal_address_city": "Moscow", "postal_address_cyrillic": "12345 Country, City, street, 1", + "postal_address_house": "AA11", + "postal_address_region": "Moscow Region", + "postal_address_street": "Korolyova", "social_security_number": "X123455123X", + "sole_proprietorship": "true", "tax_payer_number": "1345678", "uin": "12345-6", "user_type": "Individual", @@ -8728,7 +10678,8 @@ "key": "customer", "value": "VIP" } - ] + ], + "vat": "XX123456789X11" } ], "total": 999 @@ -8815,25 +10766,45 @@ "first_name_cyrillic": "Test", "first_name_latin": "Test", "hr_member": "", + "in_nexus_connection_to_india": "ENTITY", + "in_nexus_declaration_attestation": "YES", "industry_class": "19", "is_private_enterpreneur": "", "last_name_cyrillic": "Person", "last_name_latin": "Person", + "legal_address_area": "Moscow T
[...]
